This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1264329 - CNFE exception when using infinispan-remote in EAP7
CNFE exception when using infinispan-remote in EAP7
Status: ASSIGNED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.5.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jiri Holusa
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 04:29 EDT by Vitalii Chepeliuk
Modified: 2015-11-10 04:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitalii Chepeliuk 2015-09-18 04:29:11 EDT
Description of problem:
There is CNFE exception thrown when infinispan-remote uber jar is used in EAP container.
Caused by: java.lang.Exception: {"WFLYCTL0080: Failed services" => {"jboss.deployment.unit.\"test.war\".WeldStartService" => "org.jboss.msc.service.StartException in service jboss.deployment.unit.\"test.war\".WeldStartService: Failed to start service
      Caused by: org.jboss.weld.exceptions.DeploymentException: com/sun/jdi/request/EventRequest
      Caused by: java.lang.NoClassDefFoundError: com/sun/jdi/request/EventRequest
      Caused by: java.lang.ClassNotFoundException: com.sun.jdi.request.EventRequest from [Module \"deployment.test.war:main\" from Service Module Loader]"}}

Version-Release number of selected component (if applicable): EAP7.0.0.DR9, JDG6.5.1.CR1


protostream.javassist.util.HotSwapper is using class(MethodEntryRequest) which implements EventRequest.

Possible sollution are:
1. remove HotSwapper
2. set in beans.xml discovery mode to ANNOTATED
3. find out if some used component did not change dependency on jdi
Comment 4 Tristan Tarrant 2015-10-23 05:46:51 EDT
We need to add a dependency on the sun.jdk module to jboss-deployment-strucutre.xml

Note You need to log in before you can comment on or make changes to this bug.